# Poco::Thread

# template < class Functor >

# class FunctorRunnable

Library: Foundation
Package: Threading
Header: Poco/Thread.h

## Inheritance

Direct Base Classes: Poco::Runnable

All Base Classes: Poco::Runnable

## Member Summary

Member Functions: run

Inherited Functions: run

## Constructors

### FunctorRunnable

FunctorRunnable(
const Functor & functor
);

### FunctorRunnable

FunctorRunnable(
Functor && functor
);

## Destructor

### ~FunctorRunnable

~FunctorRunnable();

## Member Functions

### run

void run();

See also: Poco::Runnable::run()